/*
 * main.c
 *
 * CS 240 Lab 2
 *
 * Name:
 */


// include a few standard C library headers that may be useful
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

// include the math library for cos() sin() etc.
#include <math.h>

// include the turtle library
#include "turtle.h"

// include the hw1 module
#include "hw1.h"

int main()
{
    turtle_init(600, 600);          // initialize the image to be 600x600

    // draw a 3x8 checkerboard grid
    draw_grid(0, 0, 3, 8, 25);

    // create 7 icons
    icon_t icons[7] = {
        {.size = 50, .icon_type = CIRCLE},
        {.size = 50, .icon_type = SQUARE},
        {.size = 50, .icon_type = TRIANGLE},
        {.size = 50, .icon_type = TRIANGLE},
        {.size = 50, .icon_type = TRIANGLE},
        {.size = 50, .icon_type = SQUARE},
        {.size = 50, .icon_type = CIRCLE},
    };

    // draw the icons
    draw_icons(icons, 7, -175, -100);

    turtle_save_bmp("output.bmp");  // save the turtle drawing
    return EXIT_SUCCESS;
}

